Epson ET-2720 Metrics
=====================

The Epson ET-2720 is a tank printer.  It has a web interface that can be
used to review printer status.  The relevant sections do not require
authentication.

This script produces the following metrics:

  - `printer_pages_count` with the number of pages for copies, scans,
    printing, and internal operations (like diagnostic pages);
  - `printer_ink_level` for CYMK ink tank levels;
  - `printer_scrape_time_seconds` for the timestamp of the last scrape; and
  - `printer_scrape_duration_seconds` for the number of seconds spent
    scraping (yes, sorry, this is an integer value and will likely be `0`
    most of the time).


How To Use
----------
Simply provide the URL to the web interface:

```sh
# Generate metrics
$ ./metrics URL > et-2720.$$

# Atomic move to avoid Prometheus reading incomplete writes
$ mv et-2720.$$ et-2720.prom
```

